Subject: Re: [PATCH] [v8] net: emac: emac gigabit ethernet controller driver

From: Timur Tabi <[email-masked]>
Date: Thu, 25 Aug 2016 18:38:54 -0500

Florian Fainelli wrote:
>>> >>Since you have a check on CONFIG_QCOM_EMAC in emac/Makefile, you could
>>> >>always recurse into that directory while building (use obj-y).
>> >
>> >Obviously, having "obj-$(CONFIG_QCOM_EMAC)" in both Makefiles is
>> >redundant, but wouldn't it make more sense to change
>> >"obj-$(CONFIG_QCOM_EMAC)" to "obj-y" in
>> >drivers/net/ethernet/qualcomm/emac/Makefile, so that I only recurse if
>> >necessary?

> Whichever makes the most sense, when there is a directory involved, my
> preference is to always recurse in that directory and selectively
> compile from there, since the Kconfig/Makefile options are all located
> within the same hierarchical level, just a preference.

It turns out that the way I changed it in v9 prevents the driver from 
being built as a module.  I changed the wrong Makefile.  I will have to 
post a v10.

-- 
Qualcomm Datacenter Technologies, Inc. as an affiliate of Qualcomm
Technologies, Inc.  Qualcomm Technologies, Inc. is a member of the
Code Aurora Forum, a Linux Foundation Collaborative Project.